<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2022 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.android.adservices.servicecoreappsetidtest" >
    <!-- android:debuggable="true" is needed. See b/228384531 -->
    <application android:debuggable="true">
        <uses-library android:name="android.ext.adservices" android:required="false" />
        <provider
            android:name="com.android.adservices.common.AdServicesTestingProvider"
            android:authorities="com.android.adservices.provider.testing"
            android:exported="false"
        />
    </application>
    <instrumentation
        android:name="androidx.test.runner.AndroidJUnitRunner"
        android:targetPackage="com.android.adservices.servicecoreappsetidtest" >
    </instrumentation>
</manifest>
